#{ lib, fetchFromGit, rustPlatform }:
with import <nixpkgs> {};

rustPlatform.buildRustPackage rec {
  pname = "wireguard-vanity";
  version = "0.0.1";
    
  nativeBuildInputs = with pkgs; [
    protobuf
  ];

  #src = builtins.fetchGit {
  #  url = "https://git.jeffthecoder.xyz/public/wireguard-vanity.git";
  #};
  src = ./.;

  cargoSha256 = "QTjYGphcCUU20cIGK27Se/yCih8snRw1tdOTOOi7tDQ=";

  meta = with lib; {
    description = "A fast line-oriented regex search tool, similar to ag and ack";
    homepage = "https://git.jeffthecoder.xyz/public/wireguard-vanity";
    license = licenses.unlicense;
  };
}
